org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryNodeFailedMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryNodeFailedMessage

All Implemented Interfaces:
  Serializable

    @TcpDiscoveryEnsureDelivery
    @TcpDiscoveryRedirectToClient
    public class TcpDiscoveryNodeFailedMessage
    extends TcpDiscoveryAbstractMessage

Sent by node that has detected node failure to coordinator across the ring, then sent by coordinator across the ring.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, FORCE_FAIL_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryNodeFailedMessage(UUID creatorNodeId, UUID failedNodeId, long order)` Constructor.

### Method Summary

Methods
`UUID` `failedNodeId()` Gets ID of the failed node.
`long` `order()`
`String` `toString()`
`String` `warning()`
`void` `warning(String warning)`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, equals, failedNodes, failedNodes, force, force, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, traceLogLevel, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryNodeFailedMessage

    public TcpDiscoveryNodeFailedMessage(UUID creatorNodeId,
                                 UUID failedNodeId,
                                 long order)

Constructor.

Parameters:
  `creatorNodeId` - ID of the node that detects nodes failure.
  `failedNodeId` - ID of the failed nodes.
  `order` - Order of the failed node.

### Method Detail

#### warning

    public void warning(String warning)

Parameters:
  `warning` - Warning message to be shown on all nodes.

#### warning

    @Nullable
    public String warning()

Returns:
  Warning message to be shown on all nodes.

#### failedNodeId

    public UUID failedNodeId()

Gets ID of the failed node.

Returns:
  ID of the failed node.

#### order

    public long order()

Returns:
  Internal order of the failed node.

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017